V1.0
put
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/unsign-unverify
Removes signature or verification from the specified set of subjects. Request body contains the set of subject IDs and optional reason and comment.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
3F2504E04F8911D39A0C0305E82C3301
Supported Media Types
- application/json
Root Schema : schema
Type:
objectDTO to request the unsign and/or unverify operations on one or more subjects.
Show Source
-
comment: string
Additional comments for the operation.Example:
Investigator request for subject data change -
reason: string
Reason for the unsign/unverify action.Example:
Audit requirement for unsigning -
subjects(required): array
subjects
Unique Items Required:
trueList of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Example:
{
"subjects":[
"6D5E607D3E644F1DB8FFC4BCCEA48FFE",
"2A2E107D3E644F1DB8FFC4BCCEA48ABC"
],
"reason":"Audit requirement for unsigning",
"comment":"Investigator request for subject data change"
}Nested Schema : subjects
Type:
arrayUnique Items Required:
trueList of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Show Source
-
Array of:
string(uuid)
List of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.
Example:
[
"6D5E607D3E644F1DB8FFC4BCCEA48FFE",
"2A2E107D3E644F1DB8FFC4BCCEA48ABC"
]Response
Supported Media Types
- application/json
200 Response
Success
Nested Schema : UnsignUnverifyResponse
Type:
Show Source
object-
subjects: string
(UUID)
List of Unique Identifier(UUID, 32-character uppercase hexadecimal string) representing Subjects.Example:
["2C3F40649C654D0F995A7FDBBCEA4FAB"]
Examples
400 Response
Bad request.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.